[needs-packaging] sk1 vector graphics editor (supports Corel Draw files)

Reported by Mantas Kriaučiūnas on 2007-10-09
30
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Baltix
Undecided
Unassigned
Debian
New
Unknown
Ubuntu
Wishlist
Unassigned
Nominated for Karmic by piksi

Bug Description

Request for package: sk1

http://sk1project.org/

Description:

sK1 is an open source vector graphics editor similar to CorelDRAW, Adobe Illustrator, or Freehand. First of all sK1 is oriented for PostScript processing.
The major sK1 features:

    * CMYK colorspace support
    * CMYK support in Postscript
    * Cairo-based engine
    * Color managment
    * Universal CDR importer (7-X3 versions)
    * Modern Ttk based (former Tile widgets) user interface

Download URL: http://sk1project.org/modules.php?name=Products

News/blog: http://sk1project.org/modules.php?name=news

Latest changes (Posted: 8-Oct-2007):

Changes since preview-1:

    * CMYK colorspace support
    * CMYK support in Postscript
    * Cairo-based engine
    * Color management
    * Extended CorelDRAW formats importing (CDR/CDT/CCX/CDRX/CMX)
    * Postscript (PS) and Encapsulated Postscript (EPS) experimental importer
    * Modern Ttk based (former Tile widgets) user interface
    * Python 2.5 and Tcl/Tk 8.5 support

Nemes Ioan Sorin (nemes-sorin) wrote :

Subscribe !

sk1 it's a must for Ubuntu ( there are only Mandriva .rpm packages ). It is a big step forward for Linux prepress. Finally we can drop Corel Draw (because of Uniconv ).

Take a look http://sk1project.org/modules.php?name=news

David D Short (chameleondave) wrote :

I've installed SK1 using the DEB packages provided on the official site (which are converted from RPMs). It doesn't work.

The SK1 people need to fix their program before we can be expected to properly package it.

Mantas Kriaučiūnas (mantas) wrote :

ChameleonDave wrote on 2008-02-09:
> I've installed SK1 using the DEB packages provided on the official site (which are converted from RPMs). It doesn't work.

sK1 team released deb packages of new SVN snapshot (rev335) on 02-13, please try new packages.

If you still have problems with 0.9rev335, then please tell us what error messages you got in terminal when run sk1 ?

Btw, it's very easy to make real sK1 packages for Ubuntu/Debian, as sK1 is pure python program. As the base we can use debian folder from other python packages, like meld or jockey (former restricted-manager) :)
We should just do not forget to add (create) menu launcher (/usr/share/applications/sk1.desktop) file for sK1.

ChameleonDave wrote on 2008-02-09:
> I've installed SK1 using the DEB packages provided on the official site (which are converted from RPMs). It doesn't work.

AFAIK this is missing dependency - sk1 package needs python-liblcms package, but this is not specified in Depends field :(

Shirish Agarwal (shirishag75) wrote :

Any progress on this one?

Has that dependency been specified in Depends field? It would be great if this package is in time for Intrepid to release.

markus (markus-aiki) wrote :

Prepress is what keeps me with one leg in a windows environment - I'd love to be able to use sk1 on kubuntu-amd64 - and I am sure, other flavours of ubuntu would also be happy. :-)

Vladimir Osintsev (osintsev) wrote :

Package uploaded to REVU
http://revu.ubuntuwire.com/p/sk1

Changed in ubuntu:
assignee: nobody → Vladimir Osintsev (osintsev)
status: Confirmed → In Progress
Stani (stani) wrote :

Vladimir and I are working now within the Debian PAPT team to get sK1 in Debian and Ubuntu.

@markus
For now you can use sK1 from my PPA for Jaunty and Intrepid (amd64 bit included):
http://pythonide.blogspot.com/2009/05/sk1-vector-graphics-editor-is-now.html
https://launchpad.net/~stani/+archive/ppa

Mantas Kriaučiūnas (mantas) wrote :

Hi Stani and Vladimir,

stani wrote on 2009-05-20:
> you can use sK1 from my PPA... packaging is not perfect yet.
> For example there will be no entry in the start menu. This will be fixed in a next release.
> I've sent Igor from sK1 the necessary files to resolve this issue.

Maybe there is any progress in packaging sK1? Ubuntu 9.10 (Karmic) soon will be released, it would be nice to have sK1 package with menu launcher (/usr/share/applications/sk1.desktop) file in Ubuntu 9.10

Vladimir Osintsev (osintsev) wrote :

Karmic already in feature freeze status. This mean at this point Ubuntu 9.10 stop introducing new features and packages, so sk1 package will not be in Karmic. When this package will be ready he first appears in Debian Testing.

Pander (pander) wrote :

Does anyone have a status update? sK1 is shipping Ubuntu .deb packages for 9.10, see:
  http://sk1project.org/modules.php?name=Products&product=sk1&op=download

Ubuntu should be shipping these themselves from Lucid Lynx inwards.

Pander (pander) wrote :

Will the packages be in Maverick? sK1 themselves already provide builds for Karmic and Lucid so it will not be too much effort to include this.

Mantas Kriaučiūnas (mantas) wrote :

SK1 and Uniconvertor 1.1.5 now share common base - they depends on python-sk1libs libraries, latest versions of python-sk1libs and SK1 vector graphic editor are available at ppa:maxim-s-barabash/sk1project - see:

https://launchpad.net/~maxim-s-barabash/+archive/sk1project

We can use maxim's packaging for creating official Ubuntu packages.

Changed in ubuntustudio:
importance: Undecided → Wishlist
Fred (eldmannen+launchpad) wrote :

Any progress?

Scott Lavender (slavender) wrote :

Marked this as "Won't Fix" for Ubuntu Studio as we will not package it.

Changed in ubuntustudio:
status: New → Won't Fix
Changed in ubuntu:
assignee: Vladimir Osintsev (osintsev) → nobody
status: In Progress → New
Thomas Hotz (thotz) wrote :

Confirming because it happens to several people.

Changed in ubuntu:
status: New → Confirmed
Pander (pander) on 2012-11-19
no longer affects: ubuntustudio
Pander (pander) on 2013-10-23
tags: added: 14.04
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.